Create an IP Set
curl --request POST \
--url https://api.cpln.io/org/{org}/ipset \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"tags": {},
"spec": {
"link": "<string>",
"locations": [
{
"name": "<string>"
}
]
}
}
'import requests
url = "https://api.cpln.io/org/{org}/ipset"
payload = {
"name": "<string>",
"description": "<string>",
"tags": {},
"spec": {
"link": "<string>",
"locations": [{ "name": "<string>" }]
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
tags: {},
spec: {link: '<string>', locations: [{name: '<string>'}]}
})
};
fetch('https://api.cpln.io/org/{org}/ipset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}IP Set
Create an IP Set
POST
/
org
/
{org}
/
ipset
Create an IP Set
Authorizations
serviceAccountKeyjwt
Service account key can be used as API keys
Path Parameters
Body
application/json
Response
IP Set was created successfully
⌘I